function vykresli( hObject, eventdata )
%Funkce pro vykreslen natench dat z listboxu do pipravench grafickch
%oken. Znzoruje zmny pi dlouhodobm zkoumn dat.

%% Pstup k promnnm.
global l1_h bg1_h S f2_h ea1_h ea2_h ea3_h ea4_h ea5_h ea6_h PathName

%% Zjitn, kter soubor byl vybrn v listboxu
index_selected = get(l1_h,'Value');
list = get(l1_h,'String');
item_selected = list{index_selected};
handles.item = item_selected;
guidata(hObject, handles);

%% Cel cesta k souboru a jeho naten do struktury
fullname = strcat(PathName,handles.item);
S = load(fullname);

%% Nastaven patinch axes
 switch get(get(bg1_h,'SelectedObject'),'Tag')
     case '1'
         set(f2_h,'CurrentAxes',ea1_h)
         
     case '2'
         set(f2_h,'CurrentAxes',ea2_h)
         
     case '3'
         set(f2_h,'CurrentAxes',ea3_h)
         
     case '4'
         set(f2_h,'CurrentAxes',ea4_h)
         
     case '5'
         set(f2_h,'CurrentAxes',ea5_h)
         
     case '6'
         set(f2_h,'CurrentAxes',ea6_h)
         
 end

%% Vykreslen dat
bar( S.Data.Datax{1},S.Data.PrumerY);
legend(S.Data.TimeTag)
title(item_selected)
typ=S.Data.TypAnalyzy;

%% Generovn patin tabulky jako legendy ke grafm.
switch typ
    case 'Spek'
        xlabel('Pozice odpovd intervalu [nm]')
        ylabel('Prmrn hodnota intenzity fluorescence')
        
        d=[1 2 3 4 5 6 7 8 9 10 11; 540 549.5 559 568.5 578 587.5 597 606.5 616 625.5 635;...
                555 564.5 574 583.5 593 602.5 612 621.5 631 640.5 650];
            cnames={'Snmek','begin [nm]','end [nm]'};
            t = uitable('Parent', f2_h,'Units','normalized','Position',...
                [.15 .05 .23 .15], 'Data', d,'RowName',cnames);
            
    case 'Life'
        xlabel('Hodnota odpovd intervalu [ns]')
        ylabel('Prmrn hodnota intenzity fluorescence')
        
        d=[1 2 3 4 5 6 7 8 9; 0 1 2 3 4 5 6 7 8;...
                3.5 4.5 5.5 6.5 7.5 8.5 9.5 10.5 11.5];
            cnames={'Snmek','t begin [ns]','t end [ns]'};
            t = uitable('Parent', f2_h,'Units','normalized','Position',...
                [.5 .05 .230 .15], 'Data', d,'RowName',cnames);
end

end

