%Skript pro inicializaci uivatelskho pracovnho prosted pro analzu
%obrazovch dat. Slou k nastaven prvotnch parametr obrazov analzy.
%Autor: tefan Mocko
%Posledn revize: 19.5.2015
%Verze Matlabu R2012b
%--------------------------------------------------------------------------
%Vstup: pes funkci p1_NactiData - obrazov tiff data, resp sekvence
%obrazovch dat. Minimln vstupn poet obraz jsou dva. Jeden obraz
% toti netvo sekvenci. Data mus bt seazena abecedn, ppadn
%snmky v sad mus bt seazen, nejlpe dle numerickck koncovek.
%--------------------------------------------------------------------------
%Vstup: Datov struktura typu mat, kter obsahuje veker vstupn a
%vstupn parametry experimentu, slou pro druh gui EXPORTGUI, do kterho
%je monost nahrt prv vyexportovan mat soubory. Ty jsou pot vykresleny
%pro snadnj interpretaci namench vsledk
%--------------------------------------------------------------------------


%Popis kdu, hlavn programov skript MYGUI je sloen z uicontrol objekt,
%kter jsou vhodn rozloeny v pracovnm figure. Ve spodn sti skriptu
%jsou zadefinovny funkce pro jednotliv tlatka.
%%
%Blok kdu vyuvajc javu pro maximalizaci primrnho pracovnho 
%okna (figure). Vse je normalizovno, proto by to mlo bt vhodn pro
%monitory blc se rozlien 16:9. Vyvinuto na rozlien 1366*768.
clear all; clc; close all;

global f1_h
global a1_h a2_h
global t1_h t2_h t3_h t4_h t5_h t6_h t7_h t8_h t9_h t10_h
global e1_h e2_h e3_h e4_h e5_h
global r1_h r2_h
global p1_h p2_h p3_h p4_h p5_h p6_h p7_h
global bg1_h

global Seq Data
global Index Sada PocetSad  PocetPixelu PocetSnimku Gain PLambda KLambda TimeTag

f1_h=figure;
pause(0.00001);
frame_h = get(handle(gcf),'JavaFrame');
set(frame_h,'Maximized',1);
%%
%sek kdu pro generovn axes, vkldn obrazovch dat. a1_h je pro analzu
%ROI. a2_h bude zobrazovat aplikovanou masku, na konci se do n vykresl
%vstup analzy.

a1_h=axes('Position',[0.25 0.15 0.4 0.7]);
a2_h=axes('Position',[0.75 0.5 0.2 0.35]);

%%
%Button groups pro zpehlednn
bg1_h=uibuttongroup('Visible','on','Position',[.01 .40 .22 .45]);

%%
%Textov popisky pro buttongroup
t1_h=uicontrol(bg1_h,'Style','text','String','Poet snmk v sad:',...
    'Units','normalized','Position',[0.01 0.9 0.4 0.05],...
    'HandleVisibility','off');
t2_h=uicontrol(bg1_h,'Style','text','String','Zeslen / Gain:',...
    'Units','normalized','Position',[0.01 0.81 0.4 0.05],...
    'HandleVisibility','off');
t3_h=uicontrol(bg1_h,'Style','text','String','Zvol typ analyzovanch dat:',...
    'Units','normalized','Position',[0.01 0.7 0.5 0.05],...
    'HandleVisibility','off');
t4_h=uicontrol(bg1_h,'Style','text','String','Po. vlnov dlka:',...
    'Units','normalized','Position',[0.01 0.51 0.35 0.05],...
    'HandleVisibility','off');
t5_h=uicontrol(bg1_h,'Style','text','String','Konc. vlnov dlka:',...
    'Units','normalized','Position',[0.01 0.42 0.35 0.05],...
    'HandleVisibility','off');
t6_h=uicontrol(bg1_h,'Style','text','String','asov znaka',...
    'Units','normalized','Position',[0.01 0.31 0.35 0.05],...
    'HandleVisibility','off');
t7_h=uicontrol(bg1_h,'Style','text','String',...
    'Posun snmku pro vytvoen masky','Units','normalized','Position',...
    [0.01 0.05 0.35 0.1],'HandleVisibility','off');

%%
%Textov popisky pro figure f1_h
t8_h=uicontrol('Style','text','String','Vbr ROI','Units','normalized',...
    'Position',[0.35 0.85 0.2 0.07],'FontSize',14,'BackgroundColor',...
    [204/255 204/255 204/255]);
t9_h=uicontrol('Style','text','String','Kontrola vybran masky','Units',...
    'normalized','Position',[0.76 0.85 0.18 0.07],'FontSize',14,...
    'BackgroundColor',[204/255 204/255 204/255]);
t10_h=uicontrol('Style','text','String','Vtejte v aplikaci pro analzu obrazovch dat z konfoklnho mikroskopu.','Units',...
    'normalized','Position',[0.03 0.14 0.18 0.15],'FontSize',13,...
    'BackgroundColor','green','FontWeight','bold');
t12_h=uicontrol('Style','text','String','Autor: tefan Mocko','Units',...
    'normalized','Position',[0.03 0.02 0.18 0.15],'FontSize',13,...
    'BackgroundColor',[204/255 204/255 204/255]);
%%
%Editovac prvky pro buttongroup
e1_h=uicontrol(bg1_h,'Style','edit','Units','normalized','Position',...
    [0.55 0.89 0.2 0.07],'HandleVisibility','off','BackgroundColor',...
    'white','Enable','off');
e2_h=uicontrol(bg1_h,'Style','edit','Units','normalized','Position',...
    [0.55 0.8 0.2 0.07],'HandleVisibility','off','BackgroundColor',...
    'white','Enable','off');
e3_h=uicontrol(bg1_h,'Style','edit','Units','normalized','Position',...
    [.55 .5 .2 .07],'HandleVisibility','off','BackgroundColor',...
    'white','Enable','off');
e4_h=uicontrol(bg1_h,'Style','edit','Units','normalized','Position',...
    [.55 .41 .2 .07],'HandleVisibility','off','BackgroundColor',...
    'white','Enable','off');
e5_h=uicontrol(bg1_h,'Style','edit','Units','normalized','Position',...
    [.55 .31 .2 .07],'HandleVisibility','off','BackgroundColor',...
    'white','Enable','off');

%%
%Radiobuttony pro button group
r1_h=uicontrol('parent',bg1_h,'Style','radiobutton','String','Spektrln data','Units',...
    'normalized','Position',[.55 .7 .31 .05],'HandleVisibility','off',...
    'Tag','Spek','Enable','off');
r2_h=uicontrol('parent',bg1_h,'Style','radiobutton','String','Lifetime data','Units',...
    'normalized','Position',[.55 .62 .3 .05],'HandleVisibility','off',...
    'Tag','Life','Enable','off');

%%
%Pushbuttony pro figure
p1_h=uicontrol('Style','pushbutton','String','Nati data','Units',...
    'normalized','Position',[.01 .9 .05 .05],'Enable','on');
p2_h=uicontrol('Style','pushbutton','String','Vyma data','Units',...
    'normalized','Position',[.07 .9 .06 .05],'Enable','off');
p3_h=uicontrol('Style','pushbutton','String','Ulo data','Units',...
    'normalized','Position',[.14 .9 .05 .05],'Enable','off');
p4_h=uicontrol(bg1_h,'Style','pushbutton','String','<<','Units',...
    'normalized','Position',[.45 .05 .2 .1],'Enable','off');
p5_h=uicontrol(bg1_h,'Style','pushbutton','String','>>','Units',...
    'normalized','Position',[.65 .05 .2 .1],'Enable','off');
p6_h=uicontrol(bg1_h,'Style','pushbutton','String',...
    'Potvr nastaven vstupu','Units','normalized','Position',...
    [.22 .18 .45 .1],'Enable','off');
p7_h=uicontrol('Style','pushbutton','String','Spus ROI','Units',...
    'normalized','Position',[.07 .3 .1 .07],'Enable','off');


%%
%Po vygenerovn vech prvk a jejich handles mi je umonno jim pedvat a
%tvoit funkce, kter budu nsledn vyuvat. Vce v jednotlivch popisech
%funkc.

set(p1_h,'Callback',{@p1_NactiData});
set(p6_h,'Callback',{@p6_Potvrd});
set(bg1_h,'SelectionChangeFcn',{@bg1_zmena});
set(p4_h,'Callback',{@p4_vlevo});
set(p5_h,'Callback',{@p5_vpravo});
set(p7_h,'Callback',{@p7_SpustROI});
set(p3_h,'Callback',{@p3_Uloz});
set(p2_h,'Callback',{@p2_Vymaz});

