function p7_SpustROI(hObject, eventdata)
%Funkce pro sputn ROI analzy. Tato funkce si vol jet extern funkci
%VyberROI pro samotn ohranien analyzovan oblasti.
%Autor:tefan Mocko
%Posledn revize: 19.5.2015
%Verze R2012b

%% handles
global f1_h
global a1_h a2_h
global t9_h t10_h
global e5_h
global  p3_h p4_h p5_h p7_h
global Seq Data

%% Grafick pravy okna a tvorba promnnch do kterch se budou ukldat data
set(p4_h,'Enable','off');
set(p5_h,'Enable','off');
set(t10_h,'String','Probh ROI Analza','BackgroundColor','yellow');

PocetSad=Data.PocetSad;
Datax={};
Datay={};
TimeTag=get(e5_h,'String');
a=1;
colorbar;
PrumerY=0;

%% For cyklus pro naten a analzu dat
for t=1:PocetSad
    imshow(Seq{Data.Index});
    colorbar;
    Sada=cell2mat(Seq(a)); 
    %Primrn vrstva obrazu pro for cyklus, kter dod dal obrazy sady
    Sada=Sada(:,:,1);
    for d=2:Data.PocetSnimku
        Im=cell2mat(Seq(a-1+d));
        Sada(:,:,d)=Im(:,:,1);
    end
    
    %Sada je vytvoen, me se na ni aplikovat vbrov maska,
    %funkce VyberRoi
    [Datax{1,t},Datay{1,t},PocetPixelu{1,t}]=VyberROI(Sada(:,:,Data.Index),Sada, Data.PocetSnimku, a2_h, a1_h,f1_h, Data.Gain);
    a=a+Data.PocetSnimku;
    PrumerY=Datay{t}+PrumerY;
end

%% Uloen dat do struktury Data
 Data.Datax=Datax;
 Data.Datay=Datay;
 Data.PrumerY=PrumerY./Data.PocetSad;
 Data.PocetPixelu=PocetPixelu;
 Data.TimeTag=TimeTag;
 
%% Dal grafick pravy rozhrann
 set(t10_h,'String','Analza ROI byla dokonena.','BackgroundColor','green');
 set(p3_h,'Enable','on')
 set(p7_h,'Enable','off')
 set(f1_h,'CurrentAxes',a2_h);
 bar(Data.Datax{1},Data.PrumerY);
 
 %% Tvorba tabulky s informan hodnotou legendy grafu. Zle na typu
 %  zvolen analzy
    switch Data.TypAnalyzy
        case 'Life'
            set(t9_h,'String','Pokles intenzity fluorescence');
            xlabel('slo snmku, viz Legenda grafu')
            ylabel('Prmrn hodnota stupn edi jednoho px')
            d=[1 2 3 4 5 6 7 8 9; 0 1 2 3 4 5 6 7 8;...
                3.5 4.5 5.5 6.5 7.5 8.5 9.5 10.5 11.5];
            cnames={'Snmek','t begin [ns]','t end [ns]'};
            t = uitable('Parent', f1_h,'Units','normalized','Position',...
                [.73 .20 .230 .15], 'Data', d,'RowName',cnames);
        case 'Spek'
            set(t9_h,'String','Rozloen spektrlnch intenzit');
%             xlim([Data.PLambda, Data.KLambda])
            xlabel('slo snmku, viz Legenda grafu')
            ylabel('Prmrn hodnota stupn edi jednoho px')
             d=[1 2 3 4 5 6 7 8 9 10 11; 540 549.5 559 568.5 578 587.5 597 606.5 616 625.5 635;...
                555 564.5 574 583.5 593 602.5 612 621.5 631 640.5 650];
            cnames={'Snmek','begin [nm]','end [nm]'};
            t = uitable('Parent', f1_h,'Units','normalized','Position',...
                [.73 .20 .230 .15], 'Data', d,'RowName',cnames);
            

    end
    
 t11_h=uicontrol('Style','text','String','Legenda grafu','Units',...
    'normalized','Position',[0.76 0.35 0.18 0.05],'FontSize',14,...
    'BackgroundColor',[204/255 204/255 204/255]);
 set(f1_h,'CurrentAxes',a1_h);
 colorbar;
end

